/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.96-1C
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with:
Works with Arduino 1.6.0 IDE  
Test OK : Arduino DUE,Arduino mega2560
****************************************************/

/*
  == Hardware connection ==
    OLED   =>    Arduino
  *1. GND    ->    GND
  *2. VCC    ->    3.3
  *3. SCL    ->    SCK
  *4. SDA    ->    MOSI
  *5. RES    ->    8 
  *6. DC     ->    9
  *7. CS     ->    10
*/

#include <SPI.h>
#include <Wire.h>
#include "ssd1357.h"


void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");
  
  SSD1357_begin();

}

void loop() {

  SSD1357_clear(RED);   
   delay(1000); 
  SSD1357_clear(GREEN);   
   delay(1000);    
  SSD1357_clear(BLUE);   
   delay(1000);       
  SSD1357_clear(WHITE);   
   delay(1000);    
  SSD1357_clear(CYAN);   
   delay(1000);    
  SSD1357_clear(YELLOW);   
   delay(1000); 
  SSD1357_clear(MAGENTA);   
   delay(1000);    


  /* display an image of bitmap matrix */
  SSD1357_65k_bitmap(0, 0, pic1, 128, 64);
  delay(3000);
  
   /* display an image of bitmap matrix */
  SSD1357_65k_bitmap(0, 0, pic2, 128, 64);
  delay(3000) ;
  
   /* display an image of bitmap matrix */
  SSD1357_65k_bitmap(0, 0, pic3, 128, 64);
  delay(3000) ;
  
  SSD1357_clear(BLACK);
  /* display images of bitmap matrix */
  SSD1357_mono_bitmap(0, 2, Signal816, 16, 8, GOLDEN); 
  SSD1357_mono_bitmap(26, 2, Msg816, 16, 8, GOLDEN); 
  SSD1357_mono_bitmap(52, 2, Bluetooth88, 8, 8, GOLDEN); 
  SSD1357_mono_bitmap(73, 2, GPRS88, 8, 8, GOLDEN); 
  SSD1357_mono_bitmap(95, 2, Alarm88, 8, 8, GOLDEN); 
  SSD1357_mono_bitmap(112, 2, Bat816, 16, 8, GOLDEN); 

 
 
  /* display strings 32x16 */
  /*
  SSD1357_char3216(0,16, '1', BLUE);
  SSD1357_char3216(16,16, '2', BLUE);
  SSD1357_char3216(40,16, ':', RED);
  SSD1357_char3216(64,16, '3', GREEN);
  SSD1357_char3216(80,16, '4', GREEN);
*/

      uint8_t r,g,b;
      uint8_t Hour = 12;
      uint8_t Min = 00;
      uint8_t Sec = 00;
      char value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
      while (1) {
        Sec++;
        if (Sec == 60) {
          Min = Min + 1;
          Sec = 0;
          if (Min == 60) {
            Hour =  Hour + 1;
            Min = 0;
            if (Hour == 24) {
              Hour = 0;
              Min = 0;
              Sec = 0;
            }
          }
        }
        SSD1357_char(16, 26, value[Hour / 10], 12, 1,RED);
        SSD1357_char(30, 26, value[Hour % 10], 12, 1,RED);
        SSD1357_char(42, 26, ':' , 12, 1,WHITE);
        SSD1357_char(54, 26, value[Min / 10], 12, 1, GREEN);
        SSD1357_char(66, 26, value[Min % 10], 12, 1, GREEN);
        SSD1357_char(78, 26, ':' , 12, 1,WHITE);
        SSD1357_char(90, 26, value[Sec / 10], 12, 1, BLUE);
        SSD1357_char(102, 26, value[Sec  % 10], 12, 1, BLUE);
        
      /* display strings */
        if (Sec % 2==0)
        SSD1357_string(12, 52, "www.buydisplay.com", 12, 1, CYAN);
        else
        SSD1357_string(12, 52, "www.buydisplay.com", 12, 0, CYAN);   
          delay(1000);   // 1s
          
          
      }
    




}

